string.h(3)

NAME
string.h

SYNOPSIS

#include <Inventor/C/basic.h>
#include <stdarg.h>

  Classes
struct cc_string
The cc_string type is a C ADT for ASCII string management.

  Typedefs
typedef struct cc_string cc_string
typedef char(* cc_apply_f) (char)

  Enumerations
enum cc_string_constants { CC_STRING_MIN_SIZE = 128 - sizeof(char *) + sizeof(size_t), CC_STRING_RESIZE = 128 }

  Functions
void cc_string_construct (cc_string *me)
cc_string * cc_string_construct_new (void)
cc_string * cc_string_clone (const cc_string *str)
void cc_string_clean (cc_string *str)
void cc_string_destruct (cc_string *str)
void cc_string_set_string (cc_string *str, const cc_string *str2)
void cc_string_set_text (cc_string *str, const char *text)
void cc_string_set_subtext (cc_string *str, const char *text, int start, int end)
void cc_string_set_integer (cc_string *str, int integer)
void cc_string_append_string (cc_string *str, const cc_string *str2)
void cc_string_append_text (cc_string *str, const char *text)
void cc_string_append_integer (cc_string *str, const int digits)
void cc_string_append_char (cc_string *str, const char c)
unsigned int cc_string_length (const cc_string *str)
int cc_string_is (const cc_string *str)
void cc_string_clear (cc_string *str)
void cc_string_clear_no_free (cc_string *str)
uint32_t cc_string_hash (const cc_string *str)
uint32_t cc_string_hash_text (const char *text)
const char * cc_string_get_text (const cc_string *str)
void cc_string_remove_substring (cc_string *str, int start, int end)
int cc_string_compare (const cc_string *lhs, const cc_string *rhs)
int cc_string_compare_text (const char *lhs, const char *rhs)
int cc_string_compare_subtext (const cc_string *str, const char *text, int offset)
void cc_string_apply (cc_string *str, cc_apply_f function)
void cc_string_sprintf (cc_string *str, const char *formatstr,...)
void cc_string_vsprintf (cc_string *str, const char *formatstr, va_list args)
size_t cc_string_utf8_decode (const char *src, size_t srclen, uint32_t *value)
size_t cc_string_utf8_encode (char *buffer, size_t buflen, uint32_t value)
uint32_t cc_string_utf8_get_char (const char *str)
const char * cc_string_utf8_next_char (const char *str)
size_t cc_string_utf8_validate_length (const char *str)
void cc_string_set_wtext (cc_string *str, const wchar_t *text)

Author

Generated automatically by Doxygen for Coin from the source code.